import QtQuick 2.7
import QtQuick.Controls 1.4
import QtQuick.Layouts 1.1
import QtGraphicalEffects 1.0
import QtQuick.Dialogs 1.2

import EditorPlugin 1.0

import ExamplePlugin 1.0

EditorPluginBase
{
    id: root

    Example {
        id: example
        path: "ExamplePath"
    }

    Dialog
    {
        id: dialog;
        visible: true
        title: "My Filter Editor"

        standardButtons: StandardButton.Save | StandardButton.Cancel

        Slider
        {
            id: slider
            width: parent.width
            height: 20
            value: 0
            minimumValue: 0
            maximumValue: 100
        }

        Component.onCompleted:
        {
            slider.value = getPropertyValue(targetModel, "test_property");
        }

        onAccepted:
        {
            setProperty(targetModel, "test_property", slider.value)
        }
    }
}

